Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(739)

Unified Diff: crup-runner.sh

Issue 84543002: Fix separate git-dir handling (Closed) Base URL: https://chromium.googlesource.com/chromium/tools/depot_tools.git@master
Patch Set: Created 7 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: crup-runner.sh
diff --git a/crup-runner.sh b/crup-runner.sh
index 4765a2f519ed83a0a7b740a289887f34463263c6..56799dfce26d3f9737d345ba995a2531e41af733 100755
--- a/crup-runner.sh
+++ b/crup-runner.sh
@@ -90,7 +90,8 @@ cd "$solution" 1>/dev/null
if [ "$solution" = "$1" ]; then
# Skip git checkouts not managed by crup.
- if ! grep -q -s "The Chromium Authors" ".git/description"; then
+ gitdir="$(git rev-parse --git-dir)"
+ if ! grep -q -s "The Chromium Authors" "$gitdir/description"; then
echo "Skipping unmanaged git directory $1" 1>&2
exit 0
fi
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698